package com.hzya.frame.dingtalk.service;

import com.dingtalk.api.response.OapiV2DepartmentGetResponse;
import com.dingtalk.api.response.OapiV2UserGetResponse;

/**
 * @Description 钉钉service
 * @Author xiangerlin
 * @Date 2024/8/27 16:17
 **/
public interface IDingTalkService {

    /**
     * 根据userid获取用户详情
     * @param userId 钉钉userid
     * @param appKey
     * @param appSecret
     * @return
     */
    OapiV2UserGetResponse.UserGetResponse getUserById(String userId,String appKey,String appSecret);

    /**
     * 根据userid获取用户详情
     * @param userId
     * @return
     */
    OapiV2UserGetResponse.UserGetResponse getUserById(String userId);

    /**
     * 根据部门id获取部门详情
     * @param deptId 钉钉部门id
     * @param appKey
     * @param appSecret
     * @return
     */
    OapiV2DepartmentGetResponse.DeptGetResponse getDeptById(Long deptId,String appKey,String appSecret);

    /**
     * 根据部门id获取部门详情
     * @param deptId
     * @return
     */
    OapiV2DepartmentGetResponse.DeptGetResponse getDeptById(Long deptId);
}
